/* 
 * Mach Operating System
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 *	File:	sys/boolean.h
 *
 *	Boolean data type.
 *
 * HISTORY
 *  3-Jun-91  Gregg Kellogg (gk) at NeXT
 *	Got rid of EXPORT_BOOLEAN check.
 *
 * 18-Nov-87  Avadis Tevanian (avie) at Carnegie-Mellon University
 *	Header file fixup, purge history.
 *
 */

#ifndef	BOOLEAN_H_
#define	BOOLEAN_H_

/*
 *	Pick up "boolean_t" type definition
 */

#ifndef	ASSEMBLER
#import <mach/machine/boolean.h>
#endif	ASSEMBLER

#endif	BOOLEAN_H_

/*
 *	Define TRUE and FALSE, only if they haven't been before,
 *	and not if they're explicitly refused.  Note that we're
 *	outside the BOOLEAN_H_ conditional, to avoid ordering
 *	problems.
 */

#if	!defined(NOBOOL)

#ifndef	TRUE
#define TRUE	((boolean_t) 1)
#endif	TRUE

#ifndef	FALSE
#define FALSE	((boolean_t) 0)
#endif	FALSE

#endif	!defined(NOBOOL)
